PHP ��U
前一頁 |  | 下一頁

# ZipArchive::addFromString

(no version information, might be only in CVS)

ZipArchive::addFromString -- Add a file to a ZIP archive using its contents

## Description

bool ZipArchive::addFromString ( string localname, string contents )

Add a file to a ZIP archive using its contents.

## Parameters

localname

  The name of the entry to create.

contents

  The contents to use to create the entry. It is used in a binary safe mode.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. Add an entry to a new archive

`<?php $zip = new ZipArchive; $res = $zip->open('test.zip', ZipArchive::CREATE); if ($res === TRUE) { $zip->addFromString('test.txt', 'file content goes here'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

範例 2. Add file to a directory inside an archive

`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { $zip->addFromString('dir/test.txt', 'file content goes here'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

前一頁 | 內容 | 下一頁
ZipArchive::addFile | 上一層 | ZipArchive::close